automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

FYI: Re: CVS Automake program_transform_name broken


From: Alexandre Duret-Lutz
Subject: FYI: Re: CVS Automake program_transform_name broken
Date: Mon, 10 Jun 2002 20:54:26 +0200
User-agent: Gnus/5.090006 (Oort Gnus v0.06) Emacs/21.2 (i386-debian-linux-gnu)

>>> "Nicolas" == Nicolas Joly <address@hidden> writes:

 Nicolas> Hi,

 Nicolas> I found that `program_transform_name' mecanism is currently broken
 Nicolas> with CVS Automake.

 Nicolas> It relies on address@hidden@' given by autoconf and use
 Nicolas> `$(transform)' in installation mecanisms.  The problem is that the
 Nicolas> code `transform = @program_transform_name@' was removed from
 Nicolas> `lib/am/header-vars.am', and `$(transform)' always remains empty
 Nicolas> preventing files names from any modification.

Thanks a lot.  I'm checking in the following patch.

2002-06-10  Alexandre Duret-Lutz  <address@hidden>

        * lib/am/header-vars.am (transform): Define.
        Was removed by mistake on 2002-04-13.
        * tests/transform.test: New file.
        * tests/Makefile.am (TESTS): Add transform.test.
        Reported by Nicolas Joly.

Index: lib/am/header-vars.am
===================================================================
RCS file: /cvs/automake/automake/lib/am/header-vars.am,v
retrieving revision 1.46
diff -u -r1.46 header-vars.am
--- lib/am/header-vars.am       9 Jun 2002 11:12:34 -0000       1.46
+++ lib/am/header-vars.am       10 Jun 2002 18:50:57 -0000
@@ -45,6 +45,7 @@
 install_sh_PROGRAM = $(install_sh) -c
 install_sh_SCRIPT = $(install_sh) -c
 INSTALL_HEADER = $(INSTALL_DATA)
+transform = $(program_transform_name)
 
 ## These are defined because otherwise make on NetBSD V1.1 will print
 ## (eg): $(NORMAL_INSTALL) expands to empty string.
Index: tests/Makefile.am
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.am,v
retrieving revision 1.404
diff -u -r1.404 Makefile.am
--- tests/Makefile.am   10 Jun 2002 09:39:13 -0000      1.404
+++ tests/Makefile.am   10 Jun 2002 18:50:57 -0000
@@ -361,6 +361,7 @@
 texinfo8.test \
 texinfo9.test \
 texinfo10.test \
+transform.test \
 unused.test \
 vars.test \
 vartar.test \
Index: tests/transform.test
===================================================================
RCS file: tests/transform.test
diff -N tests/transform.test
--- /dev/null   1 Jan 1970 00:00:00 -0000
+++ tests/transform.test        10 Jun 2002 18:50:57 -0000
@@ -0,0 +1,42 @@
+#! /bin/sh
+
+# Make sure that --program-transform works.
+
+. $srcdir/defs || exit 1
+
+set -e
+
+cat >>configure.in <<'END'
+AC_PROG_CC
+AC_OUTPUT
+END
+
+cat >Makefile.am <<'EOF'
+bin_PROGRAMS = h
+bin_SCRIPTS = h.sh
+man_MANS = h.1
+EOF
+
+cat >h.c <<'EOF'
+int
+main ()
+{
+  return 0;
+}
+EOF
+
+: > h.sh
+: > h.1
+
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE
+
+./configure --program-prefix=gnu- --prefix `pwd`/inst
+$MAKE
+$MAKE install
+test -f inst/bin/gnu-h
+test -f inst/bin/gnu-h.sh
+test -f inst/man/man1/gnu-h.1
+$MAKE uninstall
+test `find inst/foo -type f -print | wc -l` = 0

-- 
Alexandre Duret-Lutz




reply via email to

[Prev in Thread] Current Thread [Next in Thread]